package com.sw.mes.fb.aio.service;


import com.sw.mes.core.base.BaseService;
import com.sw.mes.fb.aio.entity.GrindingBlanking;

import java.util.Map;

/**
 * @Author
 * @Description：
 * @Date:
 * @Modified By:
 */
public interface GrindingBlankingService extends BaseService<GrindingBlanking> {
    void save(GrindingBlanking grindingBlanking);

    GrindingBlanking findTopByFbSectionNoOrderByIdDesc(String fbSectionNo);

    GrindingBlanking findByEquipNo(String equipNo);

    Map<String,Object> calculate(GrindingBlanking grindingBlanking);
}
